package com.hdkj.lt.mq.mapper.fault;

import com.hdkj.lt.core.bizms.modle.dto.SchemeQueryDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 停电计划转供方案过程态详情分页查询
 *
 * @author zhuzhe
 * @since 2025-05-16
 */
@Mapper
public interface FhzgFaultProcessStateCheckMapper {

    Integer getSwitchingSequenceCount(SchemeQueryDTO dto);

    Integer getSwitchingAutoSequenceCount(SchemeQueryDTO dto);

    String getMaxLoadFactorBySchemeId(@Param("schemeId")Long schemeId);
}
